Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util
Class EventObject

    java.lang.Object
      |
      +--java.util.EventObject

All Implemented Interfaces:
  Serializable

public class EventObject
extends Object
implements Serializable

The root class from which all event state objects shall be derived.

All Events are constructed with a reference to the object, the "source", that is logically deemed to be the object upon which the Event in question initially occurred upon.

Since:
  JDK1.1
See Also:
  Serialized Form

Field Summary
`protected Object` | `source` The object on which the Event initially occurred.

Constructor Summary
`EventObject(Object source)` Constructs a prototypical Event.

Method Summary
`Object` | `getSource()` The object on which the Event initially occurred.
`String` | `toString()` Returns a String representation of this EventObject.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### source

    protected transient Object source

  The object on which the Event initially occurred.

Constructor Detail

### EventObject

    public EventObject(Object source)

  Constructs a prototypical Event.
  Parameters:
    `source` - The object on which the Event initially occurred.

Method Detail

### getSource

    public Object getSource()

  The object on which the Event initially occurred.
  Returns:
    The object on which the Event initially occurred.

### toString

    public String toString()

  Returns a String representation of this EventObject.
  Overrides:
    `toString` in class `Object`
  Returns:
    A a String representation of this EventObject.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Java is a trademark or registred trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2000 Sun Microsystems, Inc. 901 San Antonio Road,
Palo, Alto, California, 94303, U.S.A All Rights Reserved. < /font >